# filter out bogus dependency
%global __requires_exclude ^typelib\\(GtkosxApplication\\)

Summary:        Advanced, elegant jukebox style music player
Name:           quodlibet
Version:        4.6.0
Release:        %mkrel 3
License:        GPLv2+
Group:          Sound/Players
URL:            https://quodlibet.readthedocs.io/en/latest/
Source0:        https://github.com/quodlibet/quodlibet/releases/download/release-%{version}/%{name}-%{version}.tar.gz
Patch0:         quodlibet-4.6.0-mga-remove-unity-integration.patch
Patch1:		0001-Port-to-Ayatana-AppIndicator.patch
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  intltool

Requires:       zsh
# for Replay Gain plugin
Requires:       vorbisgain
# for CDDB plugin
Requires:       python3dist(dbus-python)
Requires:       python3dist(feedparser)
Requires:       python3dist(pygobject)
Requires:       exfalso = %{version}
Requires:       quodlibet-be = %{version}
Recommends:     python3dist(pyinotify)
Recommends:     python3dist(musicbrainzngs)
Recommends:     zeitgeist

Obsoletes:      quodlibet-plugins < 1:3.1.2-8
Provides:       quodlibet-plugins

%description
Quod Libet is a GTK+-based audio player written in Python. It's designed
around the idea that you know better than we do how to organize your music.
It lets you make playlists based on regular expressions (don't worry,
regular searches work too). It lets you display and edit any tags you want
in the file.

It supports Ogg Vorbis and MP3 by default, but other formats (FLAC, Musepack,
Wavepack, MPEG-4/AAC and MOD are available through gstreamer0.10 plugins.

Quod Libet easily scales to libraries of thousands of songs. It also supports
most of the features you expect from a modern media player, like Unicode
support, gapless playback, multimedia keys, and an OSD.

%package -n exfalso
Summary:    Tag editor for musical files
Group:      Sound/Utilities
Requires:   python3
Requires:   python3dist(mutagen)
Requires:   quodlibet >= %{version}
# for musicbrainz plugin
Requires:   python3dist(musicbrainzngs)
Conflicts:  exfaslo < %{version}

%description -n exfalso
Ex Falso is a program that uses the same tag editing back-end as Quod Libet,
but isn't connected to an audio player. If you're perfectly happy with your
favorite player and just want something that can handle tagging, Ex Falso
is for you.

%package gstbe
Summary:    GStreamer backend for quodlibet
Group:      Sound/Utilities
Requires:   quodlibet >= %{version}
Recommends: gstreamer1.0-plugins-good
Recommends: gstreamer1.0-plugins-bad
Provides:   quodlibet-be = %{version}

%description gstbe
This meta package installs necessary packages to provide gstreamer back-end support.

%package xinebe
Summary:    Xine backend for quodlibet
Group:      Sound/Utilities
Requires:   quodlibet >= %{version}
Requires:   xine1.2-common
Provides:   quodlibet-be = %{version}

%description xinebe
This meta package installs necessary packages to provide xine back-end support.

%prep
%setup -q
%autopatch -p1

%build
%py3_build

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS.rst README.rst
%{_bindir}/%{name}
%{_bindir}/operon
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}*.egg-info
%{_datadir}/applications/io.github.%{name}.QuodLibet.*
%{_datadir}/appdata/io.github.%{name}.QuodLibet.appdata.xml
%{_datadir}/gnome-shell/search-providers/io.github.%{name}.QuodLibet-search-provider.ini
%{_datadir}/dbus-1/services/net.sacredchao.QuodLibet.service
%{_datadir}/zsh/site-functions/_quodlibet
%{_datadir}/bash-completion/completions/operon
%{_datadir}/bash-completion/completions/quodlibet
%{_datadir}/icons/hicolor/*/apps/io.github.%{name}.QuodLibet*.*
%{_mandir}/man1/quodlibet.*
%{_mandir}/man1/operon.*

%files -n exfalso
%{_bindir}/exfalso
%{_datadir}/applications/io.github.%{name}.ExFalso.desktop
%{_datadir}/appdata/io.github.%{name}.ExFalso.appdata.xml
%{_mandir}/man1/exfalso.*
%{_datadir}/icons/hicolor/*/apps/*ExFalso*.*

%files gstbe

%files xinebe


%changelog
* Tue Mar 11 2025 papoteur <papoteur> 4.6.0-3.mga10
+ Revision: 2162877
- rebuild for python3.13

* Tue Dec 19 2023 papoteur <papoteur> 4.6.0-2.mga10
+ Revision: 2019450
- Mass Rebuild - Python 3.12

* Fri Oct 20 2023 daviddavid <daviddavid> 4.6.0-1.mga10
+ Revision: 1999624
- new version: 4.6.0

* Thu Apr 13 2023 papoteur <papoteur> 4.5.0-2.mga9
+ Revision: 1952855
- fix removing unity, it was still called in main.py

* Thu Nov 24 2022 daviddavid <daviddavid> 4.5.0-1.mga9
+ Revision: 1910806
- new version: 4.5.0

* Wed Mar 23 2022 umeabot <umeabot> 4.4.0-4.mga9
+ Revision: 1821102
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 4.4.0-3.mga9
+ Revision: 1779493
- rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 4.4.0-2.mga9
+ Revision: 1705391
- rebuild for python 3.9

* Tue Mar 02 2021 daviddavid <daviddavid> 4.4.0-1.mga9
+ Revision: 1695744
- new version: 4.4.0

* Thu Aug 06 2020 wally <wally> 4.3.0-3.mga8
+ Revision: 1611517
- port to Ayatana AppIndicator

* Wed Jul 22 2020 ovitters <ovitters> 4.3.0-2.mga8
+ Revision: 1608021
- rebuild for get rid of pythonegg requires

* Mon Mar 02 2020 daviddavid <daviddavid> 4.3.0-1.mga8
+ Revision: 1552769
- new version: 4.3.0

* Sun Feb 16 2020 umeabot <umeabot> 4.2.1-4.mga8
+ Revision: 1533974
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 4.2.1-3.mga8
+ Revision: 1446216
- rebuild for python3.8

* Tue Sep 03 2019 daviddavid <daviddavid> 4.2.1-2.mga8
+ Revision: 1436639
- obsolete old and unmaintained quodlibet-plugins (also not ported to Python 3)

* Tue Feb 12 2019 daviddavid <daviddavid> 4.2.1-1.mga7
+ Revision: 1365960
- new version: 4.2.1
- rename and rediff mga-remove-unity-integration patch

* Tue Jan 08 2019 tv <tv> 4.2.0-2.mga7
+ Revision: 1351854
- rebuild with python 3.7

* Sat Nov 03 2018 daviddavid <daviddavid> 4.2.0-1.mga7
+ Revision: 1327894
- new version: 4.2.0
- rename and rediff mga-remove-unity-integration patch

* Fri Sep 21 2018 umeabot <umeabot> 4.1.0-2.mga7
+ Revision: 1290601
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 daviddavid <daviddavid> 4.1.0-1.mga7
+ Revision: 1244806
- new version: 4.1.0
- rename and rediff mga-remove-unity-integration patch
- switch to Python 3
- no longer needed:
  *python-gpod
  *python-faulthandler
  *python-futures
  *python-CDDB
  *python-musicbrainz2
  *media-player-info
  *udisks2

* Tue Dec 05 2017 kostuek <kostuek> 3.9.1-1.mga7
+ Revision: 1181408
- new version 3.9.1
- new source path
- added recommends: python-faulthandler

* Tue Jul 25 2017 daviddavid <daviddavid> 3.9.0-1.mga7
+ Revision: 1130802
- new version: 3.9.0
- rename and rebase mga-remove-unity-integration patch

* Sun Feb 12 2017 daviddavid <daviddavid> 3.8.1-1.mga6
+ Revision: 1085918
- new version: 3.8.1
- rename and rebase mga-remove-unity-integration patch

* Fri Dec 30 2016 daviddavid <daviddavid> 3.8.0-2.mga6
+ Revision: 1078702
- do not hard requires arch dependent libraries as it is a noarch package

* Fri Dec 30 2016 daviddavid <daviddavid> 3.8.0-1.mga6
+ Revision: 1078674
- new version: 3.8.0
- update URL
- rename and rebase mga-remove-unity-integration patch
- add some more needed dependencies
- use new python macros

* Sat Feb 20 2016 umeabot <umeabot> 3.1.2-7.mga6
+ Revision: 972083
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 3.1.2-6.mga6
+ Revision: 895476
- make it noarch thus fixing empty debuginfo
- use new python macros to fix build

* Mon Dec 29 2014 neoclust <neoclust> 3.1.2-5.mga5
+ Revision: 807047
- Remove noarch tag as we depend on %%_lib

* Wed Oct 15 2014 umeabot <umeabot> 3.1.2-4.mga5
+ Revision: 745898
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.1.2-3.mga5
+ Revision: 730081
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.1.2-2.mga5
+ Revision: 688584
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Mon Jul 21 2014 diogenese <diogenese> 3.1.2-1.mga5
+ Revision: 654941
- Included the patch to remove unity integration
- Updated sources to version 3.1.2
+ pterjan <pterjan>
- Rebuild for new Python

* Sat Feb 08 2014 wally <wally> 3.0.2-5.mga5
+ Revision: 585810
- require python-gi-cairo (mga#12656)
- drop explicit typelib() requires (those are autogenerated)

* Tue Oct 22 2013 umeabot <umeabot> 3.0.2-4.mga4
+ Revision: 544517
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.0.2-3.mga4
+ Revision: 499802
- Rebuild to add different pythonegg provides for python 2 and 3
+ fwang <fwang>
- lower request of mutagen

* Fri Aug 02 2013 malo <malo> 3.0.2-2.mga4
+ Revision: 462768
- fix requires to mutagen

* Tue Jul 30 2013 fwang <fwang> 3.0.2-1.mga4
+ Revision: 461021
- new version 3.0.2

* Sat Jul 20 2013 malo <malo> 2.6.0-1.mga4
+ Revision: 456600
- update to 2.6.0

* Wed Jun 12 2013 malo <malo> 2.5.1-1.mga4
+ Revision: 442166
- update to 2.5.1 (patch by William Murphy)

* Sat Jan 26 2013 malo <malo> 2.5-3.mga3
+ Revision: 392529
- add missing requires (mga#8802)

* Sun Jan 13 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 380121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 malo <malo> 2.5-1.mga3
+ Revision: 334068
- new version 2.5 final

* Sat Dec 15 2012 malo <malo> 2.4.91-1.mga3
+ Revision: 331032
- drop merged patch and install hack, update file list
- new version 2.5-beta1

* Sun Sep 30 2012 malo <malo> 2.4.1-1.mga3
+ Revision: 300694
- update to new version 2.4.1
- Update RPM group

* Tue Jun 19 2012 malo <malo> 2.4-1.mga3
+ Revision: 261841
- update to 2.4 (and update link patch)
- split package into quodlibet and exfalso

* Mon Mar 05 2012 malo <malo> 2.3.2-1.mga2
+ Revision: 219176
- update to new version 2.3.2
- spec clean-up after import from Mandriva (patch by Jeff)
- imported package quodlibet


* Thu Sep 15 2011 Matthew Dawkins <mattydaw@mandriva.org> 2.3.1-1
+ Revision: 699917
- new version 2.3.1
  added patch to fix linking

* Wed Apr 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.2.1-1mdv2011.0
+ Revision: 532844
- update to 2.2.1

* Wed Feb 17 2010 Frederik Himpe <fhimpe@mandriva.org> 2.2-1mdv2010.1
+ Revision: 507256
- update to new version 2.2

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 2.1.98-1mdv2010.1
+ Revision: 486798
- update to new version 2.1.98

* Wed Jul 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1-1mdv2010.0
+ Revision: 404348
- update to new version 2.1
- drop patch 0
- spec file clean

* Sat Jan 10 2009 Funda Wang <fwang@mandriva.org> 2.0-2mdv2009.1
+ Revision: 327949
- fix build with python 2.6 (upstrem patch)

* Thu Sep 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0-1mdv2009.1
+ Revision: 285739
- update to new version 2.0
- fix urls
- new license policy
- add few missing buildrequires and requires
- fix file list

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.0-6mdv2009.0
+ Revision: 260004
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.0-5mdv2009.0
+ Revision: 247805
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2008.1
+ Revision: 148344
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0-3mdv2008.0
+ Revision: 36196
- rebuild with correct optflags

* Tue Jun 05 2007 Jérôme Soyer <saispo@mandriva.org> 1.0-2mdv2008.0
+ Revision: 35798
- Add Requires

* Tue Jun 05 2007 Jérôme Soyer <saispo@mandriva.org> 1.0-1mdv2008.0
+ Revision: 35786
- New release 1.0
- New release
- New release

  + Austin Acton <austin@mandriva.org>
    - new version


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.24-2mdv2007.0
+ Revision: 132106
- forgot xdg tag

* Wed Feb 28 2007 Emmanuel Andry <eandry@mandriva.org> 0.24-2mdv2007.1
+ Revision: 129304
- buildrequires gstreamer0.10-python
- buildrequires mutagen

* Tue Feb 27 2007 Emmanuel Andry <eandry@mandriva.org> 0.24-1mdv2007.1
+ Revision: 126756
- buildrequires intltool

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 0.24
    - Import quodlibet

* Sun Sep 17 2006 Emmanuel Andry <eandry@mandriva.org> 0.23.1-1mdv2007.0
- New release 0.23.1
- xdg menu

* Fri Jul 07 2006 Austin Acton <austin@mandriva.org> 0.22-1mdv2007.0
- New release 0.22

* Fri Jun 16 2006 Jerome Soyer <saispo@mandriva.org> 0.21.1-1mdv2007.0
- New release 0.21.1

* Mon Jun 12 2006 Jerome Soyer <saispo@mandriva.org> 0.21-1mdk
- New release 0.21

* Wed May 03 2006 Austin Acton <austin@mandriva.org> 0.20-1mdk
- New release 0.20

* Thu Apr 06 2006 Austin Acton <austin@mandriva.org> 0.19.1-1mdk
- New release 0.19.1

* Tue Apr 04 2006 Austin Acton <austin@mandriva.org> 0.19-1mdk
- 0.19
- remove pymad
- require mutagen

* Fri Mar 03 2006 Austin Acton <austin@mandriva.org> 0.18-1mdk
- New release 0.18
- gstreamer0.10 required
- change buildrequires and description

* Sat Feb 11 2006 Michael Scherer <misc@mandriva.org> 0.17.1-1mdk
- New release 0.17.1

* Sun Jan 15 2006 Austin Acton <austin@mandriva.org> 0.16-1mdk
- New release 0.16

* Thu Nov 17 2005 Lenny Cartier <lenny@mandriva.com> 0.15-1mdk
- 0.15

* Mon Nov 07 2005 Austin Acton <austin@mandriva.org> 0.14-3mdk
- requires and buildrequires

* Sun Nov 06 2005 Austin Acton <austin@mandriva.org> 0.14-2mdk
- build binary extensions; move out of noarch

* Thu Oct 27 2005 Lenny Cartier <lenny@mandriva.com> 0.14-1mdk
- 0.14

* Wed Oct 12 2005 Austin Acton <austin@mandriva.org> 0.13.1-2mdk
- requires gstreamer-python

* Wed Oct 05 2005 Austin Acton <austin@mandriva.org> 0.13.1-1mdk
- New release 0.13.1

* Mon Aug 15 2005 Austin Acton <austin@mandriva.org> 0.12-1mdk
- initial package

